summaryrefslogtreecommitdiffstats
path: root/source/n/openssh/openssh.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/openssh/openssh.SlackBuild')
-rwxr-xr-xsource/n/openssh/openssh.SlackBuild10
1 files changed, 6 insertions, 4 deletions
diff --git a/source/n/openssh/openssh.SlackBuild b/source/n/openssh/openssh.SlackBuild
index 43605b1dc..dfd50ed91 100755
--- a/source/n/openssh/openssh.SlackBuild
+++ b/source/n/openssh/openssh.SlackBuild
@@ -2,7 +2,7 @@
# Copyright 2000 BSDi, Inc. Concord, CA, USA
# Copyright 2001, 2002, 2003, 2004 Slackware Linux, Inc. Concord, CA, USA
-# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2018, 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2018, 2020, 2021 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -30,7 +30,7 @@ PKG=$TMP/package-openssh
PKGNAM=openssh
VERSION=${VERSION:-$(echo openssh-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -89,8 +89,10 @@ zcat $CWD/openssh.tcp_wrappers.diff.gz | patch -p1 --verbose || exit 1
# Fix ssh-copy-id EOF bug:
zcat $CWD/ssh-copy-id.diff.gz | patch -p1 --verbose || exit 1
-# Fix sandbox with glibc-2.33:
-zcat $CWD/openssh-glibc-2.33.patch.gz | patch -p1 --verbose || exit 1
+# Fix sandbox with glibc-2.33 (needed on 32-bit platforms):
+if [ ! "$LIBDIRSUFFIX" = "64" ]; then
+ zcat $CWD/openssh-glibc-2.33.patch.gz | patch -p1 --verbose || exit 1
+fi
# Choose correct options depending on whether PAM is installed:
if [ -L /lib${LIBDIRSUFFIX}/libpam.so.? ]; then